
Core - Bug # 64631

Status: Resolved Priority: Should have
Author: Alina Fleser Category: File Abstraction Layer (FAL)
Created: 2015-01-30 Assigned To:
Updated: 2015-01-31 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Relations between files(sys_file) and file storage(sys_file_storage) are not recoreded in sys_refindex
Description

In BE list with extended view the REF field for File Storage is empty, even if the file storage has files in it. Sys_refindex are also used
to notify the user when trying to delete a record that is referenced and the reference list of a record can be consulted when clicking on
info icon (or option in sensitive menu) for a record

Related issues:
related to Core - Bug # 50871: Remove option to delete a File Storage New 2013-08-07

Associated revisions
Revision cb081032 - 2015-01-31 11:09 - Alina Fleser

[BUGFIX] Files to FileStorage relations are now recorded in sys_refindex

When a file (sys_file) is added/modified/deleted,
the relation to the file storage (sys_file_storage)
is recorded and updated in sys_refindex

Resolves: #64631
Related: #50871
Releases: master, 6.2
Change-Id: If95fac13c5530041948b3f9c896ebb390c31956a
Reviewed-on: http://review.typo3.org/36412
Reviewed-by: Frans Saris <franssaris@gmail.com>
Tested-by: Frans Saris <franssaris@gmail.com>
Reviewed-by: Ingo Schmitt <is@marketing-factory.de>
Tested-by: Ingo Schmitt <is@marketing-factory.de>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 1cd5dd42 - 2015-01-31 11:16 - Alina Fleser

[BUGFIX] Files to FileStorage relations are now recorded in sys_refindex

When a file (sys_file) is added/modified/deleted,
the relation to the file storage (sys_file_storage)
is recorded and updated in sys_refindex

Resolves: #64631
Related: #50871
Releases: master, 6.2
Change-Id: If95fac13c5530041948b3f9c896ebb390c31956a
Reviewed-on: http://review.typo3.org/36486
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History
#1 - 2015-01-30 11:33 - Frans Saris
- Status changed from New to In Progress
- Sprint Focus set to On Location Sprint

#2 - 2015-01-30 13:00 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36412

#3 - 2015-01-30 13:23 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36412

#4 - 2015-01-31 11:11 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36486

#5 - 2015-01-31 11:15 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36486

#6 - 2015-01-31 11:30 - Alina Fleser
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cb0810326f4bf07ba54c9f5291e048763961f342.
